12.10 Install crashed on Virtual Box - plugininstall.py: OSError: [Errno 12] Cannot allocate memory

Bug #1070040 reported by Ifly85 on 2012-10-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned

Bug Description

Install crashed on Virtual Box.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubiquity 2.12.16
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
CasperVersion: 1.328
Date: Mon Oct 22 14:39:34 2012
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Ifly85 (ifly85) wrote :
Sasa Paporovic (melchiaros) wrote :
Download full text (6.2 KiB)

In UbiquitySyslog.txt:

Oct 22 21:21:05 ubuntu ubiquity: update-initramfs: Generating /boot/initrd.img-3.5.0-17-generic
Oct 22 21:26:59 ubuntu plugininstall.py: log-output -t ubiquity chroot /target update-initramfs -c -k 3.5.0-17-generic
Oct 22 21:27:02 ubuntu plugininstall.py: Exception during installation:
Oct 22 21:27:02 ubuntu plugininstall.py: Traceback (most recent call last):
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 81, in wrapper
Oct 22 21:27:02 ubuntu plugininstall.py: func(self)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 229, in run
Oct 22 21:27:02 ubuntu plugininstall.py: self.configure_hardware()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 952, in configure_hardware
Oct 22 21:27:02 ubuntu plugininstall.py: install_misc.chroot_cleanup(self.target, x11=True)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 181, in chroot_cleanup
Oct 22 21:27:02 ubuntu plugininstall.py: misc.execute('umount', os.path.join(target, 'tmp/.X11-unix'))
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/misc.py", line 543, in execute
Oct 22 21:27:02 ubuntu plugininstall.py: status = subprocess.call(log_args)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 471, in call
Oct 22 21:27:02 ubuntu plugininstall.py: return Popen(*popenargs, **kwargs).wait()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 745, in __init__
Oct 22 21:27:02 ubuntu plugininstall.py: restore_signals, start_new_session)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 1207, in _execute_child
Oct 22 21:27:02 ubuntu plugininstall.py: restore_signals, start_new_session, preexec_fn)
Oct 22 21:27:02 ubuntu plugininstall.py: OSError: [Errno 12] Cannot allocate memory
Oct 22 21:27:02 ubuntu plugininstall.py:
Oct 22 21:27:02 ubuntu plugininstall.py: During handling of the above exception, another exception occurred:
Oct 22 21:27:02 ubuntu plugininstall.py:
Oct 22 21:27:02 ubuntu plugininstall.py: Traceback (most recent call last):
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1732, in <module>
Oct 22 21:27:02 ubuntu plugininstall.py: install.run()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 83, in wrapper
Oct 22 21:27:02 ubuntu plugininstall.py: self.cleanup()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1712, in cleanup
Oct 22 21:27:02 ubuntu plugininstall.py: misc.execute('umount', self.target_file('cdrom'))
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/misc.py", line 543, in execute
Oct 22 21:27:02 ubuntu plugininstall.py: status = subprocess.call(log_args)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 471, in call
Oct 22 21:27:02 ubuntu plugininstall.py: return Popen(*popenargs, **kw...

Read more...

summary: - Install crashed on Virtual Box
+ 12.10 Install crashed on Virtual Box -
+ /usr/share/ubiquity/plugininstall.py", line 81, in wrapper
Changed in ubiquity (Ubuntu):
status: New → Confirmed

VirtualBox4.2.4 is fresh released. Can you retest with this latest VirtualBox version?

Ifly85 (ifly85) wrote :

I installed the newer version of VirtualBox (4.2.4) and the exact same thing happened (from the user perspective). The install got the the last maybe 10% on the progress bar and then crashed.

I should have updated this previously also. I restarted the VM and chose to repair the installation and it completed successfully. I have not attempted this on the new VM yet.

Karma Dorje (taaroa) on 2012-10-30
summary: - 12.10 Install crashed on Virtual Box -
- /usr/share/ubiquity/plugininstall.py", line 81, in wrapper
+ 12.10 Install crashed on Virtual Box - plugininstall.py: OSError: [Errno
+ 12] Cannot allocate memory
Ifly85 (ifly85) wrote :

I rebooted to the image again and chose to repair the installation and it completed successfully this time as well.

So it fails at the end of the first install attempt and then succeeds when repairing the initial installation.

Exception during installation:
Oct 22 21:27:02 ubuntu plugininstall.py: Traceback (most recent call last):
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 81, in wrapper
Oct 22 21:27:02 ubuntu plugininstall.py: func(self)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 229, in run
Oct 22 21:27:02 ubuntu plugininstall.py: self.configure_hardware()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 952, in configure_hardware
Oct 22 21:27:02 ubuntu plugininstall.py: install_misc.chroot_cleanup(self.target, x11=True)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 181, in chroot_cleanup
Oct 22 21:27:02 ubuntu plugininstall.py: misc.execute('umount', os.path.join(target, 'tmp/.X11-unix'))
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/misc.py", line 543, in execute
Oct 22 21:27:02 ubuntu plugininstall.py: status = subprocess.call(log_args)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 471, in call
Oct 22 21:27:02 ubuntu plugininstall.py: return Popen(*popenargs, **kwargs).wait()
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 745, in __init__
Oct 22 21:27:02 ubuntu plugininstall.py: restore_signals, start_new_session)
Oct 22 21:27:02 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 1207, in _execute_child
Oct 22 21:27:02 ubuntu plugininstall.py: restore_signals, start_new_session, preexec_fn)
Oct 22 21:27:02 ubuntu plugininstall.py: OSError: [Errno 12] Cannot allocate memory
Oct 22 21:27:02 ubuntu plugininstall.py:

tags: added: installer-crash
Changed in ubiquity (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers